cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ROL

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ROL

- All Implemented Interfaces:
    ISegment

      public class ROL
      extends Segment

  ROL - Role Segment.

  The role segment contains the data necessary to add, update, correct, and delete from the record persons involved, as well as their functional involvement with the activity being transmitted.

  Represents an HL7 ROL message segment. This segment has the following fields:

  ROL-1: Role Instance ID (EI)Conditional
  ROL-2: Action Code (ID)Required
  ROL-3: Role-ROL (CWE)Required
  ROL-4: Role Person (XCN)Required
  ROL-5: Role Begin Date/Time (DTM)Optional
  ROL-6: Role End Date/Time (DTM)Optional
  ROL-7: Role Duration (CWE)Optional
  ROL-8: Role Action Reason (CWE)Optional
  ROL-9: Provider Type (CWE)Optional
  ROL-10: Organization Unit Type (CWE)Optional
  ROL-11: Office/Home Address/Birthplace (XAD)Optional
  ROL-12: Phone (XTN)Optional
  ROL-13: Person's Location (PL)Optional
  ROL-14: Organization (XON)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROL()` Constructs the ROL segment.
    `ROL(EnumSegments enumSegments)` Construct the ROL segment with enum.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOfficeOrHome_AddressOrBirthplace(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Office Or Home Add Or Birthplace.
    `void` | `addOfficeOrHome_AddressOrBirthplace(XAD objofficeOrHome_AddrOrBirthplace)` Add the Office Or Home Add Or Birthplace.
    `void` | `addPhone(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Add the Phone.
    `void` | `addPhone(XTN objphone)` Add the Phone.
    `void` | `addProviderType(CWE objproviderType)` Add the Provider Type.
    `void` | `addProviderType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Provider Type.
    `void` | `addRolePerson(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Role Person.
    `void` | `addRolePerson(XCN objrolePerson)` Add the Role Person.
    `ID` | `getActionCode()` Retrieves the Action Code.
    `ISingleCollection<XAD>` | `getOfficeOrHome_AddrOrBirthplace()` Retrieves the Office Or Home Add Or Birthplace.
    `XON` | `getOrganization()` Retrieves the Organization.
    `CWE` | `getOrganizationUnitType()` Retrieves the Organization Unit Type.
    `PL` | `getPersonsLocation()` Retrieves the Person's Location.
    `ISingleCollection<XTN>` | `getPhone()` Retrieves the Phone.
    `ISingleCollection<CWE>` | `getProviderType()` Retrieves the Provider Type.
    `CWE` | `getRole_ROL()` Retrieves the Role ROL.
    `CWE` | `getRoleActionReason()` Retrieves the Role Action Reason.
    `DTM` | `getRoleBeginDateTime()` Retrieves the Role Begin Date Time.
    `CWE` | `getRoleDuration()` Retrieves the Role Duration.
    `DTM` | `getRoleEndDateTime()` Retrieves the Role End Date Time.
    `EI` | `getRoleInstanceID()` Retrieves the Role Instance ID.
    `ISingleCollection<XCN>` | `getRolePerson()` Retrieves the Role Person.
    `void` | `setActionCode(ID objactionCode)` Set the Action Code.
    `void` | `setActionCode(java.lang.String strActionCode)` Set the Action Code.
    `void` | `setOfficeOrHome_AddressOrBirthplace(ISingleCollection<XAD> objofficeOrHome_AddrOrBirthplace)` Set the Office Or Home Add Or Birthplace.
    `void` | `setOrganization(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Organization.
    `void` | `setOrganization(XON objOrganization)` Ses the Organization.
    `void` | `setOrganizationUnitType(CWE objorganizationUnitType)` Set the Organization Unit Type.
    `void` | `setOrganizationUnitType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Organization Unit Type.
    `void` | `setPersonsLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, java.lang.String strBuilding, java.lang.String strFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Person's Location.
    `void` | `setPersonsLocation(PL objPersonsLocation)` Set the Person's Location.
    `void` | `setPhone(ISingleCollection<XTN> objPhone)` Set the Phone.
    `void` | `setProviderType(ISingleCollection<CWE> objproviderType)` Set the Provider Type.
    `void` | `setRole_ROL(CWE objrole_ROL)` Set the Role ROL.
    `void` | `setRole_ROL(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Role ROL.
    `void` | `setRoleActionReason(CWE objroleActionReason)` Set the Role Action Reason.
    `void` | `setRoleActionReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Role Action Reason.
    `void` | `setRoleBeginDateTime(DTM objroleBeginDateTime)` Set the Role Begin Date Time.
    `void` | `setRoleBeginDateTime(java.lang.String strTime)` Set the Role Begin Date Time.
    `void` | `setRoleDuration(CWE objroleDuration)` Set the Role Duration.
    `void` | `setRoleDuration(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Role Duration.
    `void` | `setRoleEndDateTime(DTM objroleEndDateTime)` Set the Role End Date Time.
    `void` | `setRoleEndDateTime(java.lang.String strTime)` Set the Role End Date Time.
    `void` | `setRoleInstanceID(EI objroleInstanceID)` Set the Role Instance ID.
    `void` | `setRoleInstanceID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Role Instance ID.
    `void` | `setRolePerson(ISingleCollection<XCN> objrolePerson)` Set the Role Person.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ROL

          public ROL()

      Constructs the ROL segment.

    - #### ROL

          public ROL(EnumSegments enumSegments)

      Construct the ROL segment with enum.
      Parameters:
        `enumSegments` - Specified enum.

  - ### Method Detail

    - #### getActionCode

          public ID getActionCode()

      Retrieves the Action Code.
      Returns:
        ID - actionCode

    - #### getOfficeOrHome_AddrOrBirthplace

          public ISingleCollection<XAD> getOfficeOrHome_AddrOrBirthplace()

      Retrieves the Office Or Home Add Or Birthplace.
      Returns:
        ISingleCollection - officeOrHome_AddrOrBirthplace

    - #### getOrganizationUnitType

          public CWE getOrganizationUnitType()

      Retrieves the Organization Unit Type. This field specify the environment in which the provider acts in the role specified in ROL-3
      Returns:
        CWE - organizationUnitType

    - #### getPhone

          public ISingleCollection<XTN> getPhone()

      Retrieves the Phone. This field specify the provider's phone number.
      Returns:
        ISingleCollection - phone

    - #### getProviderType

          public ISingleCollection<CWE> getProviderType()

      Retrieves the Provider Type.
      Returns:
        ISingleCollection - providerType

    - #### getRole_ROL

          public CWE getRole_ROL()

      Retrieves the Role ROL. This field specify the functional involvement with the activity being transmitted.
      Returns:
        CWE - role_ROL

    - #### getRoleActionReason

          public CWE getRoleActionReason()

      Retrieves the Role Action Reason.
      Returns:
        CWE - roleActionReason

    - #### getRoleBeginDateTime

          public DTM getRoleBeginDateTime()

      Retrieves the Role Begin Date Time.
      Returns:
        DTM - roleBeginDateTime

    - #### getRoleDuration

          public CWE getRoleDuration()

      Retrieves the Role Duration. This field defines the qualitative length of time for performance of a role.
      Returns:
        CWE - roleDuration

    - #### getRoleEndDateTime

          public DTM getRoleEndDateTime()

      Retrieves the Role End Date Time.
      Returns:
        DTM - roleEndDateTime

    - #### getRoleInstanceID

          public EI getRoleInstanceID()

      Retrieves the Role Instance ID. This field specify a unique identifier of the specific role record.
      Returns:
        EI - roleInstanceID

    - #### getRolePerson

          public ISingleCollection<XCN> getRolePerson()

      Retrieves the Role Person. This field specify the identity of the person who is assuming the role that is being transmitted.
      Returns:
        ISingleCollection - rolePerson

    - #### setRoleInstanceID

          public void setRoleInstanceID(java.lang.String strEntityIdentifier,
                               java.lang.String strNamespaceId,
                               java.lang.String strUniversalId,
                               java.lang.String strUniversalIdType)

      Set the Role Instance ID. This field specify a unique identifier of the specific role record.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setRoleInstanceID

          public void setRoleInstanceID(EI objroleInstanceID)

      Set the Role Instance ID. This field specify a unique identifier of the specific role record.
      Parameters:
        `objroleInstanceID` -

    - #### setActionCode

          public void setActionCode(java.lang.String strActionCode)

      Set the Action Code.
      Parameters:
        `strActionCode` - Use as ActionCode.

    - #### setActionCode

          public void setActionCode(ID objactionCode)

      Set the Action Code.
      Parameters:
        `objactionCode` - Use as ActionCode.

    - #### setRole_ROL

          public void setRole_ROL(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Role ROL. This field specify the functional involvement with the activity being transmitted.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRole_ROL

          public void setRole_ROL(CWE objrole_ROL)

      Set the Role ROL. This field specify the functional involvement with the activity being transmitted.
      Parameters:
        `objrole_ROL` -

    - #### addRolePerson

          public void addRolePerson(java.lang.String strIDNumber,
                           FN objFamilyName,
                           java.lang.String strGivenName,
                           java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                           java.lang.String strSuffix,
                           java.lang.String strPrefix,
                           CWE objSourceTable,
                           HD objAssigningAuthority,
                           java.lang.String strNameTypeCode,
                           java.lang.String strIdentifierCheckDigit,
                           java.lang.String strCheckDigitScheme,
                           java.lang.String strIdentifierTypeCode,
                           HD objAssigningFacility,
                           java.lang.String strNameRepresentationCode,
                           CWE objNameContext,
                           java.lang.String strNameAssemblyOrder,
                           java.lang.String strEffectiveDate,
                           java.lang.String strExpirationDate,
                           java.lang.String strProfessionalSuffix,
                           CWE objAssigningJurisdiction,
                           CWE objAssigningAgencyOrDepratment,
                           java.lang.String strSecurityCheck,
                           java.lang.String strSecurityCheckScheme)

      Add the Role Person. This field specify the identity of the person who is assuming the role that is being transmitted.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `objSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addRolePerson

          public void addRolePerson(XCN objrolePerson)

      Add the Role Person. This field specify the identity of the person who is assuming the role that is being transmitted.
      Parameters:
        `objrolePerson` -

    - #### setRolePerson

          public void setRolePerson(ISingleCollection<XCN> objrolePerson)

      Set the Role Person. This field specify the identity of the person who is assuming the role that is being transmitted.
      Parameters:
        `objrolePerson` - List of the Role Person.

    - #### setRoleBeginDateTime

          public void setRoleBeginDateTime(java.lang.String strTime)

      Set the Role Begin Date Time.
      Parameters:
        `strTime` - Use as Time.

    - #### setRoleBeginDateTime

          public void setRoleBeginDateTime(DTM objroleBeginDateTime)

      Set the Role Begin Date Time.
      Parameters:
        `objroleBeginDateTime` -

    - #### setRoleEndDateTime

          public void setRoleEndDateTime(java.lang.String strTime)

      Set the Role End Date Time.
      Parameters:
        `strTime` - Use as Time.

    - #### setRoleEndDateTime

          public void setRoleEndDateTime(DTM objroleEndDateTime)

      Set the Role End Date Time.
      Parameters:
        `objroleEndDateTime` -

    - #### setRoleDuration

          public void setRoleDuration(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Role Duration. This field defines the qualitative length of time for performance of a role.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRoleDuration

          public void setRoleDuration(CWE objroleDuration)

      Set the Role Duration. This field defines the qualitative length of time for performance of a role.
      Parameters:
        `objroleDuration` -

    - #### setRoleActionReason

          public void setRoleActionReason(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Role Action Reason.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRoleActionReason

          public void setRoleActionReason(CWE objroleActionReason)

      Set the Role Action Reason.
      Parameters:
        `objroleActionReason` -

    - #### addProviderType

          public void addProviderType(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Add the Provider Type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProviderType

          public void addProviderType(CWE objproviderType)

      Add the Provider Type.
      Parameters:
        `objproviderType` -

    - #### setProviderType

          public void setProviderType(ISingleCollection<CWE> objproviderType)

      Set the Provider Type.
      Parameters:
        `objproviderType` - List of the Provider Type.

    - #### setOrganizationUnitType

          public void setOrganizationUnitType(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Organization Unit Type. This field specify the environment in which the provider acts in the role specified in ROL-3
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOrganizationUnitType

          public void setOrganizationUnitType(CWE objorganizationUnitType)

      Set the Organization Unit Type. This field specify the environment in which the provider acts in the role specified in ROL-3
      Parameters:
        `objorganizationUnitType` -

    - #### addOfficeOrHome_AddressOrBirthplace

          public void addOfficeOrHome_AddressOrBirthplace(SAD objStreetAddress,
                                                 java.lang.String strOtherDesignation,
                                                 java.lang.String strCity,
                                                 java.lang.String strStateOrProvince,
                                                 java.lang.String strZipOrPostalCode,
                                                 java.lang.String strCountry,
                                                 java.lang.String strAddressType,
                                                 java.lang.String strOtherGeographicDesignation,
                                                 CWE objCountyParishCode,
                                                 CWE objCensusTract,
                                                 java.lang.String strAddressRepresentationCode,
                                                 DTM objEffectiveDate,
                                                 DTM objExpirationDate,
                                                 CWE objEXpirationReason,
                                                 java.lang.String strTemporaryIndicator,
                                                 java.lang.String strBadAddressIndicator,
                                                 java.lang.String strAddressUsage,
                                                 java.lang.String strAddressee,
                                                 java.lang.String strComment,
                                                 java.lang.String strPreferenceOrder,
                                                 CWE objProtectionCode,
                                                 EI objAddressIdentifier)

      Add the Office Or Home Add Or Birthplace.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAddressIdentifier` - indicates a unique identifier for address

    - #### addOfficeOrHome_AddressOrBirthplace

          public void addOfficeOrHome_AddressOrBirthplace(XAD objofficeOrHome_AddrOrBirthplace)

      Add the Office Or Home Add Or Birthplace.
      Parameters:
        `objofficeOrHome_AddrOrBirthplace` -

    - #### setOfficeOrHome_AddressOrBirthplace

          public void setOfficeOrHome_AddressOrBirthplace(ISingleCollection<XAD> objofficeOrHome_AddrOrBirthplace)

      Set the Office Or Home Add Or Birthplace.
      Parameters:
        `objofficeOrHome_AddrOrBirthplace` - List of the Office Or Home Add Or Birthplace.

    - #### addPhone

          public void addPhone(java.lang.String strTeleCommunicationUseCode,
                      java.lang.String strTeleCommunicationEquipmentType,
                      java.lang.String strCommuinicationAddress,
                      java.lang.String strCountryCode,
                      java.lang.String strAreaCityCode,
                      java.lang.String strLocalNumber,
                      java.lang.String strExtension,
                      java.lang.String strAnyText,
                      java.lang.String strExtensionPrefix,
                      java.lang.String strSpeedDialCode,
                      java.lang.String strUnformattedTelephoneNumber,
                      java.lang.String strEffectiveStartDate,
                      java.lang.String strExpirationDate,
                      CWE objExpirationReason,
                      CWE objProtectionCode,
                      EI objSharedTelecommunicationIdentifier,
                      java.lang.String strPreferenceOrder)

      Add the Phone. This field specify the provider's phone number.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPhone

          public void addPhone(XTN objphone)

      Add the Phone. This field specify the provider's phone number.
      Parameters:
        `objphone` -

    - #### setPhone

          public void setPhone(ISingleCollection<XTN> objPhone)

      Set the Phone. This field specify the provider's phone number.
      Parameters:
        `objPhone` - List of the Phone

    - #### getPersonsLocation

          public PL getPersonsLocation()

      Retrieves the Person's Location. This field specifies the physical location (e.g., nurse station, ancillary service location, clinic, or floor) of the person in the role, as identified in ROL-4-role person.
      Returns:
        PL - PersonsLocation

    - #### setPersonsLocation

          public void setPersonsLocation(HD objPointOfCare,
                                HD objRoom,
                                HD objBed,
                                HD objFacility,
                                java.lang.String strLocationStatus,
                                java.lang.String strPersonLocationType,
                                java.lang.String strBuilding,
                                java.lang.String strFloor,
                                java.lang.String strLocationDescription,
                                EI objComprehensiveLocationIdentifier,
                                HD objAssigningAuthorityForLocation)

      Set the Person's Location. This field specifies the physical location (e.g., nurse station, ancillary service location, clinic, or floor) of the person in the role, as identified in ROL-4-role person.
      Parameters:
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies the code for the patient's room.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies to site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPersonLocationType` - Specifies the categorization of the person's location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.
        `strLocationDescription` - Specifies describes the location in free text.
        `objComprehensiveLocationIdentifier` - Specifies represents the physical location as a whole without regard for the individual components.
        `objAssigningAuthorityForLocation` - Specifies the entity that creates the data for the individual physical location components.

    - #### setPersonsLocation

          public void setPersonsLocation(PL objPersonsLocation)

      Set the Person's Location. This field specifies the physical location (e.g., nurse station, ancillary service location, clinic, or floor) of the person in the role, as identified in ROL-4-role person.
      Parameters:
        `objPersonsLocation` - object of Person's Location.

    - #### getOrganization

          public XON getOrganization()

      Retrieves the Organization. The organizational affiliation of the individual playing the role.
      Returns:
        XON - Organization

    - #### setOrganization

          public void setOrganization(java.lang.String strOrganizationName,
                             CWE objOrganizationNameTypeCode,
                             HD objAssigningAuthority,
                             java.lang.String strIdentifierTypeCode,
                             HD objAssigningFacility,
                             java.lang.String strNameRepresentationCode,
                             java.lang.String strOrganizationIdentifier)

      Set the Organization. The organizational affiliation of the individual playing the role.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setOrganization

          public void setOrganization(XON objOrganization)

      Ses the Organization. The organizational affiliation of the individual playing the role.
      Parameters:
        `objOrganization` - object of Organization.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.